components:
  schemas:
    AutomationNode_AutomationNode:
      $ref: http://redfish.dmtf.org/schemas/v1/AutomationNode.v1_0_0.yaml#/components/schemas/AutomationNode_v1_0_0_AutomationNode
      description: The `AutomationNode` schema describes a node that carries out instructions
        in industrial automation environments.
      x-longDescription: This resource shall represent an automation node for a Redfish
        implementation.
    AutomationNode_NodeState:
      enum:
      - Idle
      - Done
      - Waiting
      - ConditionStop
      - ErrorStop
      - Running
      type: string
      x-enumDescriptions:
        ConditionStop: The node's controller has stopped due to a condition fault.
        Done: The node's controller has reached its destination position.
        ErrorStop: The node's controller has stopped due to an error.
        Idle: The node's controller is idle.
        Running: The node's controller is running.
        Waiting: The node's controller is waiting to start.
title: '#AutomationNode.AutomationNode'
x-copyright: Copyright 2014-2025 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
